/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface HubSpotUser
 */
export interface HubSpotUser {
  /**
   *
   * @type {string}
   * @memberof HubSpotUser
   */
  id: string;
  /**
   *
   * @type {string}
   * @memberof HubSpotUser
   */
  email: string;
}

export function HubSpotUserFromJSON(json: any): HubSpotUser {
  return HubSpotUserFromJSONTyped(json, false);
}

export function HubSpotUserFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): HubSpotUser {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    id: json['id'],
    email: json['email'],
  };
}

export function HubSpotUserToJSON(value?: HubSpotUser | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    id: value.id,
    email: value.email,
  };
}
